Skip to content
This repository has been archived by the owner. It is now read-only.
Permalink
Browse files
ARIA-281 Update click library version
Updated click library version to a newer version.
This will also make it compatible in the same environment with the
pip-tools library which uses click too and requires the newer version.

Additional changes:
 - Removed PyYAML dependency from requirements.txt (leftover)
 - Disabled default goal of Makefile
  • Loading branch information
Ran Ziv committed Jun 20, 2017
1 parent e6cf67e commit 990752026d3316286aff53b388eaa9999a47b804
Showing 3 changed files with 7 additions and 5 deletions.
@@ -20,9 +20,12 @@ HTML = ./docs/html
EASY_INSTALL_PTH = $(VIRTUAL_ENV)/lib/python2.7/site-packages/easy-install.pth
PYTHON_VERSION = $$(python -V 2>&1 | cut -f2 -d' ' | cut -f1,2 -d'.' --output-delimiter='')

.DEFAULT_GOAL = install
.DEFAULT_GOAL = default
.PHONY: clean install install-virtual docs test dist deploy

default:
@echo "Please choose one of the following targets: clean, install, install-virtual, docs, test, dist, deploy, requirements.txt"

clean:
rm -rf "$(DIST)" "$(HTML)" .tox .coverage*
-find . -type f -name '.coverage' -delete
@@ -28,7 +28,7 @@ wagon==0.6.0
bottle>=0.12.0, <0.13
Fabric>=1.13.0, <1.14
setuptools>=35.0.0, <36.0.0
click>=4.1, < 5.0
click>=6.0, < 7.0
colorama>=0.3.7, <=0.3.9
PrettyTable>=0.7,<0.8
click_didyoumean==0.0.3
@@ -2,7 +2,7 @@
# This file is autogenerated by pip-compile
# To update, run:
#
# pip-compile --output-file requirements.txt requirements.in
# pip-compile --output-file ./requirements.txt ./requirements.in
#
# Since the tool we are using to generate our requirements.txt, `pip-tools`,
# does not currently support conditional dependencies (;), we're adding our original
@@ -25,7 +25,7 @@ blinker==1.4
bottle==0.12.13
cachecontrol[filecache]==0.12.1
cffi==1.10.0 # via cryptography
click==4.1
click==6.7
click_didyoumean==0.0.3
clint==0.5.1
colorama==0.3.9
@@ -48,7 +48,6 @@ prettytable==0.7.2
pyasn1==0.2.3 # via paramiko
pycparser==2.17 # via cffi
pyparsing==2.2.0 # via packaging
pyyaml==3.12
requests==2.13.0
retrying==1.3.3
ruamel.ordereddict==0.4.9 # via ruamel.yaml

0 comments on commit 9907520

Please sign in to comment.